OpenapiAuthentication
Login Legacy Code
Reference contract from the pinned Python Roborock web API; caller selects the region explicitly.
Query Parameters
username*string
verifycode*string
verifycodetype*"AUTH_EMAIL_CODE"
Value in
- "AUTH_EMAIL_CODE"
Header Parameters
header_clientid*string
Response Body
application/json
curl -X POST "https://example.com/api/v1/loginWithCode?username=string&verifycode=string&verifycodetype=AUTH_EMAIL_CODE" \ -H "header_clientid: string"{ "code": 0, "data": { "avatarurl": "string", "country": "string", "countrycode": "string", "nickname": "string", "region": "string", "rriot": { "h": "string", "k": "string", "r": { "a": "string", "l": "string", "m": "string", "r": "string", "property1": null, "property2": null }, "s": "string", "u": "string", "property1": null, "property2": null }, "rruid": "string", "token": "string", "tokentype": "string", "tuyaDeviceState": 0, "uid": 0, "property1": null, "property2": null }, "msg": "string", "property1": null, "property2": null}